## silo-llnl 4.10.2

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 1994 - 2010, Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.
#
#   Kathleen Bonnell, Fri Dec 10 10:02:09 PST 2010
#   Add silodiff.bat, browser.vcproj
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Add MSVC9 project files.

pkgdatadir = $(datadir)/silo
pkgincludedir = $(includedir)/silo
pkglibdir = $(libdir)/silo
pkglibexecdir = $(libexecdir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = SiloWindows
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compiler_flags.m4 \
	$(top_srcdir)/config/ax_have_qt.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/vl_lib_readline.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoconf
AUTOHEADER = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoheader
AUTOMAKE = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run automake-1.11
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/local/bin/gcc
CFLAGS = -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure '--enable-fortran' 'FC=gfortran' 'F77=gfortran' 'FCFLAGS=-g' 'CFLAGS=-g' 'CXXFLAGS=-g' '--enable-pythonmodule' '--with-hdf5=/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include,/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib' '--with-szlib=/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4' '--with-Qt-dir=/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4' '--with-Qt-lib=QtGui' '--prefix=/usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4' '--enable-install-lite-headers'
CONFIG_DATE = Tue Mar 19 10:33:26 PDT 2013
CONFIG_USER = miller86@edge83
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g
CXX_FULLPATH = /usr/local/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FC = gfortran
FCFLAGS = -g
FCLIBS =  -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../.. -lgfortranbegin -lgfortran -lm
FC_FULLPATH = /usr/local/bin/gfortran
FFLAGS = -g -O2
FGREP = /bin/grep -F
FORTRAN = fortran
FPZIP = fpzip
GREP = /bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/local/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib  -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib
LIBM = -lm
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NETCDF = netcdf
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@email.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.9.1
PACKAGE_TARNAME = silo
PACKAGE_VERSION = 4.9.1
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PYTHON = /usr/local/bin/python
PYTHONMODULE = python
PYTHON_CPPFLAGS = -I/usr/apps/python/include/python2.6
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
QT_CXXFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/Qt -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtCore -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtGui
QT_DIR = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4
QT_LIBS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/lib -lQtGui  -lSM -lICE  -lX11 -lXext -lXmu -lXt -lXi 
QT_LRELEASE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lrelease
QT_LUPDATE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lupdate
QT_MOC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/moc
QT_UIC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/uic
RANLIB = ranlib
READLINE_LIBS = -lreadline 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SILEX = silex
SILO_DTYPPTR = void
SILO_DTYPPTR1 = void*
SILO_DTYPPTR2 = void*
SILO_VERS_MAJ = 4
SILO_VERS_MIN = 9
SILO_VERS_PAT = 1
SILO_VERS_PRE = 
SILO_VERS_TAG = Silo_version_4_9_1
STRIP = strip
TAURUS = taurus
VERSION = 4.9.1
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ZLIB = zlib
abs_builddir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
abs_srcdir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
abs_top_builddir = /g/g11/miller86/silo/silo_4.9RC
abs_top_srcdir = /g/g11/miller86/silo/silo_4.9RC
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_ct_F77 = 
ac_ct_FC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/silo
pkgpythondir = ${pythondir}/silo
prefix = /usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
./MSVC9/Tests/alltypes.vcproj\
./MSVC9/Tests/arbpoly.vcproj\
./MSVC9/Tests/arbpoly3d.vcproj\
./MSVC9/Tests/array.vcproj\
./MSVC9/Tests/array_f.vfproj\
./MSVC9/Tests/compression.vcproj\
./MSVC9/Tests/csg.vcproj\
./MSVC9/Tests/curve_f.vfproj\
./MSVC9/Tests/dirtest.vcproj\
./MSVC9/Tests/empty.vcproj\
./MSVC9/Tests/extface.vcproj\
./MSVC9/Tests/grab.vcproj\
./MSVC9/Tests/group_test.vcproj\

=== debian/changelog ===
silo-llnl (4.10.2-6) unstable; urgency=medium

  * Experimental python3 interface
  * Standards-Version: 3.9.8. No changes required
  * Ack. that homepage URL updated. Closes: #769182.
  * Depend on qtbase5-dev, qtchooser not qt5-default-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Aug 2016 13:33:30 +0100

silo-llnl (4.10.2-5) unstable; urgency=medium

  * Add qt5-defaults to ensure build under Qt5.
  * Ack. FTBFS fixed in -4 upload. Closes: #797414. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2015 13:27:13 +0100

silo-llnl (4.10.2-4) unstable; urgency=medium

  * Build silex.  
  * Regression: put tools back in /usr/bin not /bin.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2015 16:05:46 +0100

silo-llnl (4.10.2-3) unstable; urgency=medium

  * Fix reported version number. 4.9.1 -> 4.10.2
  * Install tools properly rather than copy from install script.
    Closes: #797414.
  * Move QtGui, QtWidgets to QT_LIBS for saner linking.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Sep 2015 23:20:17 +0100

silo-llnl (4.10.2-2) experimental; urgency=medium

  * Build against hdf5-1.8.15 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Aug 2015 01:17:15 +0100

silo-llnl (4.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6.
  * New homepage: Closes: #769182.
  * Add DBGetObjtypeTag to silo.ver version script. Closes: #772912.
  * Add --enable-install-lite-headers for PDB-lite headers
  * Add Vcs-Git pointing to anonscm.debian.org/debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jun 2015 20:36:04 +0100

=== debian/control ===
Source: silo-llnl
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), libreadline-dev, libhdf5-openmpi-dev | libhdf5-dev, 
  zlib1g-dev, 
  python-all-dev, python3-all-dev, 
  gfortran, chrpath, mpi-default-dev, autoconf-archive, autoconf, automake, libtool, 
  dh-autoreconf (>= 4~),
  qtbase5-dev, qtchooser
Build-Conflicts: qt3-dev-tools, qt4-dev-tools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage:  https://wci.llnl.gov/simulation/computer-codes/silo/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/silo-llnl.git

Package: libsilo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (= ${binary:Version})
Description: Development files for SILO Scientific I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to 
 binary, disk files. The files Silo produces and the data within them can be 
 easily shared and exchanged between wholly independently developed applications 
 running on disparate computing platforms. Consequently, Silo facilitates the 
 development of general purpose tools for processing scientific data. 
 One of the more popular tools that process Silo data files is the 
 VisIt visualization tool.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo 
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes, 
 constructive solid geometry (CSG) meshes, piecewise-constant 
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables 
 defined on the node, edge, face or volume elements of meshes as well as 
 the decomposition of meshes into arbitrary subset hierarchies including 
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application 
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.
 . 
 Architecturally, the library is divided into two main pieces; an upper-level
 application programming interface (API) and a lower-level I/O implementation 
 called a driver. Silo supports multiple I/O drivers, the two most common of 
 which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
 drivers. 

Package: libsiloh5-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SILO Science I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to
 binary, disk files.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: libsilo-bin
Architecture: any
Multi-Arch: foreign
Depends: libsiloh5-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to manipulate libsilo files
 This package contains a number of utilities for manipulating and viewing
 Silo files. Silo is a scientific data format library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: python-silo
Section: python
Architecture: any
X-Python-Version: all
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
Provides: ${python:Provides}
Description: Python interface to the SILO Scientific I/O library
 This is a Python interface to SILO, a scientific I/O library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: python3-silo
Section: python
Architecture: any
X-Python-Version: all
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
Provides: ${python3:Provides}
Description: Python3 interface to the SILO Scientific I/O library
 This is a Python3 interface to SILO, a scientific I/O library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --with python2,python3,autoreconf

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(ARCH_DEFAULT_MPI_IMPL)
MPI_INC:=/usr/lib/$(MPI)/include

ifeq ($(MPI),lam)
  CC:=mpicc.lam
  CXX:=mpic++.lam
else
  CXX:=mpic++
  CC:=mpicc
endif


# QT version 4 or 5
export QT_SELECT=5
QT:=qt5
QT_INCLUDES:=-I/usr/include/$(QT) -I/usr/include/$(QT)/QtGui -I/usr/include/$(QT)/QtCore -I/usr/include/$(QT)/QtWidgets

PYVERS:= `pyversions -s`
PY3VERS:= `py3versions -s`
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


QT:=5
QT_MOC:=moc
QT_INC:=/usr/include/$(DEB_HOST_MULTIARCH)/qt5
QT_BINDIR=/usr/bin
QT_INCLUDES:=-I$(QT_INC) -I$(QT_INC)/QtGui -I$(QT_INC)/QtCore -I$(QT_INC)/QtWidgets
QT_LIBS=-lQt5Core -lQt5Gui -lQt5Widgets

# Work with either old or new-style (co-installable)  HDF5 layouts
ifneq ($(wildcard $(LIBDIR)/hdf5/$(MPI)/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/$(MPI)
HDF5_LIB:=$(LIBDIR)/hdf5/$(MPI)
else
HDF5_INC:=/usr/include
HDF5_LIB:=/usr/lib
endif

override_dh_autoreconf:
	libtoolize -c -f
	dh_autoreconf

# Note: Since QT headers now include C++ features, configure must be called with g++ as the C compiler.
# But use $(CC) as the C compiler later when actually building.

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-versioned-symbols \
		--enable-pythonmodule \
		--enable-silex \
		--with-hdf5=$(HDF5_INC),$(HDF5_DIR) \
		--enable-install-lite-headers \
		--with-Qt-bin-dir=$(QT_BINDIR) --with-Qt-include-dir=$(QT_INC) \
		CC=$(CXX) CXX=$(CXX) CFLAGS="$(CFLAGS) -fPIC " CXXFLAGS="$(CXXFLAGS) -fPIC " \
		LDFLAGS="$(LDFLAGS) -L$(HDF5_LIB) " \
		CPPFLAGS=" $(QT_INCLUDES) -I$(MPI_INC) $(CPPFLAGS)"

# Iterate over some directories to avoid stepping into tools/silex, which doesn't build.
override_dh_auto_build:
	for d in src tools/browser tools/silock ; do \
		$(MAKE) -C $$d CC=$(CC) CXX=$(CXX) ; done
	$(MAKE) -C tools/silex CXX=$(CXX) QT_MOC=moc QT_LIBS="$(QT_LIBS)" 
	set -e ; for p in $(PYVERS) $(PY3VERS) ; do   \
		echo "Build python interface for $$p" ; \
		$(MAKE) -C tools/python clean all check CXX=$(CXX) PYTHON_CPPFLAGS="-I/usr/include/$$p" ; \
		mkdir -p  debian/tmp/usr/lib/pyshared/$$p ;  \
		cp tools/python/.libs/Silo.so debian/Silo.so.$$p  ; \
	done

override_dh_auto_test:
	for d in tests src tools/browser tools/silock ; do \
                $(MAKE) -C $$d check; done

override_dh_auto_install:
	# move the python modules to where dh_python* will spot them ...
	set -e; for p in $(PYVERS) $(PY3VERS); do \
		mkdir -p debian/tmp/usr/lib/$$p/site-packages ; \
		chrpath -d debian/Silo.so.$$p ; \
		cp debian/Silo.so.$$p debian/tmp/usr/lib/$$p/site-packages/Silo.so ; \
	done
	for p in src tools/browser tools/silock  tools/silex ; do \
		$(MAKE) -C $$p install prefix=`pwd`/debian/tmp ; done
	dh_install
	# cp src/.libs/libsiloh5.a debian/libsilo-dev/$(LIBDIR)
	mkdir -p debian/libsiloh5-0/$(LIBDIR)
	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libsiloh5.so.0.0.0 debian/libsiloh5-0/$(LIBDIR)
	dh_link -p libsiloh5-0 $(LIBDIR)/libsiloh5.so.0.0.0 $(LIBDIR)/libsiloh5.so.0
	dh_link -p libsilo-dev $(LIBDIR)/libsiloh5.so.0.0.0 $(LIBDIR)/libsiloh5.so
	mkdir -p debian/libsilo-dev/$(LIBDIR)/pkgconfig
	cp silo.pc debian/libsilo-dev/$(LIBDIR)/pkgconfig

override_dh_auto_clean:
	dh_clean
	rm -f debian/Silo.so.* config.log
	( [ -f Makefile ] && make distclean || echo "No Makefile present ; skipping make distclean" )

## silo-llnl 4.10.2.real

=== SiloWindows/Makefile ===
--- 
+++ 
@@ -74,10 +74,13 @@
 #   Ensure a number of silo project files were included.
 #
 #   Kathleen Bonnell, Fri Dec 10 10:02:09 PST 2010
-#   Add silodiff.bat, browser.vcproj
+#   Add silodiff.bat, browser.vcxproj
 #
 #   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
-#   Add MSVC9 project files.
+#   Add MSVC2012 project files.
+#
+#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
+#   Remove MSVC2012 and MSVC2010 project files. Add MSVC2012 project files.
 
 pkgdatadir = $(datadir)/silo
 pkgincludedir = $(includedir)/silo
@@ -118,28 +121,28 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run aclocal-1.11
-AMTAR = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run tar
+ACLOCAL = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run aclocal-1.11
+AMTAR = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoconf
-AUTOHEADER = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run automake-1.11
+AUTOCONF = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run autoconf
+AUTOHEADER = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run autoheader
+AUTOMAKE = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run automake-1.11
 AWK = gawk
 BROWSER = browser
 BUNDLE_TARGET = 
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CC_FULLPATH = /usr/local/bin/gcc
-CFLAGS = -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
-CONFIG_CMD = ./configure '--enable-fortran' 'FC=gfortran' 'F77=gfortran' 'FCFLAGS=-g' 'CFLAGS=-g' 'CXXFLAGS=-g' '--enable-pythonmodule' '--with-hdf5=/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include,/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib' '--with-szlib=/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4' '--with-Qt-dir=/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4' '--with-Qt-lib=QtGui' '--prefix=/usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4' '--enable-install-lite-headers'
-CONFIG_DATE = Tue Mar 19 10:33:26 PDT 2013
-CONFIG_USER = miller86@edge83
+CFLAGS = -g -m64 -fPIC -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
+CONFIG_CMD = ./configure 'CC=gcc' 'CXX=g++' 'FC=gfortran' 'F77=gfortran' 'CFLAGS=-g -m64 -fPIC' 'CXXFLAGS=-g -m64 -fPIC' '--enable-pythonmodule' '--disable-shared' '--with-szlib=/usr/gapps/silo/szip/2.1/chaos_5_x86_64_ib' '--with-hdf5=/usr/gapps/silo/hdf5/1.8.10/chaos_5_x86_64_ib/include,/usr/gapps/silo/hdf5/1.8.10/chaos_5_x86_64_ib/lib' '--with-Qt-dir=/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4' '--with-Qt-lib=QtGui -lQtCore' '--enable-silex' '--enable-install-lite-headers' '--enable-json' '--prefix=/g/g11/miller86/silo/trunk/my_install'
+CONFIG_DATE = Mon Oct 13 17:02:30 PDT 2014
+CONFIG_USER = miller86@edge84
 CPP = gcc -E
-CPPFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include 
+CPPFLAGS = -I/usr/gapps/silo/hdf5/1.8.10/chaos_5_x86_64_ib/include 
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g
+CXXFLAGS = -g -m64 -fPIC
 CXX_FULLPATH = /usr/local/bin/g++
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
@@ -153,8 +156,8 @@
 EXEEXT = 
 F77 = gfortran
 FC = gfortran
-FCFLAGS = -g
-FCLIBS =  -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../.. -lgfortranbegin -lgfortran -lm
+FCFLAGS = -g -O2
+FCLIBS =  -L/usr/lib/gcc/x86_64-redhat-linux/4.4.7 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.7/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.7/../../.. -lgfortranbegin -lgfortran -lm
 FC_FULLPATH = /usr/local/bin/gfortran
 FFLAGS = -g -O2
 FGREP = /bin/grep -F
@@ -168,8 +171,9 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+JSON = json
 LD = /usr/local/bin/ld -m elf_x86_64
-LDFLAGS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib  -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib
+LDFLAGS = -L/usr/gapps/silo/hdf5/1.8.10/chaos_5_x86_64_ib/lib -L/usr/gapps/silo/szip/2.1/chaos_5_x86_64_ib/lib  -L/usr/gapps/silo/szip/2.1/chaos_5_x86_64_ib/lib
 LIBM = -lm
 LIBOBJS = 
 LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
@@ -178,7 +182,7 @@
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run makeinfo
+MAKEINFO = ${SHELL} /g/g11/miller86/silo/trunk/config/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NETCDF = netcdf
 NM = /usr/bin/nm -B
@@ -188,57 +192,54 @@
 OTOOL = 
 OTOOL64 = 
 PACKAGE = silo
-PACKAGE_BUGREPORT = visit-users@email.ornl.gov
+PACKAGE_BUGREPORT = visit-users@elist.ornl.gov
 PACKAGE_NAME = silo
-PACKAGE_STRING = silo 4.9.1
+PACKAGE_STRING = silo 4.10.2
 PACKAGE_TARNAME = silo
-PACKAGE_VERSION = 4.9.1
+PACKAGE_VERSION = 4.10.2
 PATH_SEPARATOR = :
 PDBP_DRV = 
 PDB_DRV = pdb_drv
 PYTHON = /usr/local/bin/python
 PYTHONMODULE = python
-PYTHON_CPPFLAGS = -I/usr/apps/python/include/python2.6
+PYTHON_CPPFLAGS = -I/usr/apps/python/include/python2.7
 PYTHON_EXEC_PREFIX = ${exec_prefix}
 PYTHON_PLATFORM = linux2
 PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 2.6
-QT_CXXFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/Qt -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtCore -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtGui
-QT_DIR = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4
-QT_LIBS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/lib -lQtGui  -lSM -lICE  -lX11 -lXext -lXmu -lXt -lXi 
-QT_LRELEASE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lrelease
-QT_LUPDATE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lupdate
-QT_MOC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/moc
-QT_UIC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/uic
+PYTHON_VERSION = 2.7
+QT_CXXFLAGS = -I/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/include -I/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/include/Qt -I/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtCore -I/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtGui
+QT_DIR = /usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4
+QT_LIBS = -L/usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/lib -lQtGui -lQtCore  -lSM -lICE  -lX11 -lXext -lXmu -lXt -lXi 
+QT_LRELEASE = /usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lrelease
+QT_LUPDATE = /usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lupdate
+QT_MOC = /usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/bin/moc
+QT_UIC = /usr/gapps/visit/thirdparty_shared/2.8.1/qt/4.8.3/linux-x86_64_gcc-4.4/bin/uic
 RANLIB = ranlib
 READLINE_LIBS = -lreadline 
 SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 SILEX = silex
-SILO_DTYPPTR = void
-SILO_DTYPPTR1 = void*
-SILO_DTYPPTR2 = void*
 SILO_VERS_MAJ = 4
-SILO_VERS_MIN = 9
-SILO_VERS_PAT = 1
+SILO_VERS_MIN = 10
+SILO_VERS_PAT = 2
 SILO_VERS_PRE = 
-SILO_VERS_TAG = Silo_version_4_9_1
+SILO_VERS_TAG = Silo_version_4_10_2
 STRIP = strip
 TAURUS = taurus
-VERSION = 4.9.1
+VERSION = 4.10.2
 XMKMF = 
 X_CFLAGS = 
 X_EXTRA_LIBS = 
 X_LIBS = 
 X_PRE_LIBS =  -lSM -lICE
 ZLIB = zlib
-abs_builddir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
-abs_srcdir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
-abs_top_builddir = /g/g11/miller86/silo/silo_4.9RC
-abs_top_srcdir = /g/g11/miller86/silo/silo_4.9RC
+abs_builddir = /g/g11/miller86/silo/trunk/SiloWindows
+abs_srcdir = /g/g11/miller86/silo/trunk/SiloWindows
+abs_top_builddir = /g/g11/miller86/silo/trunk
+abs_top_srcdir = /g/g11/miller86/silo/trunk
 ac_ct_CC = gcc
-ac_ct_CXX = g++
+ac_ct_CXX = 
 ac_ct_DUMPBIN = 
 ac_ct_F77 = 
 ac_ct_FC = 
@@ -267,7 +268,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/install-sh
+install_sh = ${SHELL} /g/g11/miller86/silo/trunk/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -279,11 +280,11 @@
 pdfdir = ${docdir}
 pkgpyexecdir = ${pyexecdir}/silo
 pkgpythondir = ${pythondir}/silo
-prefix = /usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4
+prefix = /g/g11/miller86/silo/trunk/my_install
 program_transform_name = s,x,x,
 psdir = ${docdir}
-pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
-pythondir = ${prefix}/lib/python2.6/site-packages
+pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
+pythondir = ${prefix}/lib/python2.7/site-packages
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -293,16 +294,18 @@
 top_builddir = ..
 top_srcdir = ..
 EXTRA_DIST = \
-./MSVC9/Tests/alltypes.vcproj\
-./MSVC9/Tests/arbpoly.vcproj\
-./MSVC9/Tests/arbpoly3d.vcproj\
-./MSVC9/Tests/array.vcproj\
-./MSVC9/Tests/array_f.vfproj\
-./MSVC9/Tests/compression.vcproj\
-./MSVC9/Tests/csg.vcproj\
-./MSVC9/Tests/curve_f.vfproj\
-./MSVC9/Tests/dirtest.vcproj\
-./MSVC9/Tests/empty.vcproj\
-./MSVC9/Tests/extface.vcproj\
-./MSVC9/Tests/grab.vcproj\
-./MSVC9/Tests/group_test.vcproj\
+./MSVC2012/Tests/alltypes.vcxproj\
+./MSVC2012/Tests/arbpoly.vcxproj\
+./MSVC2012/Tests/arbpoly3d.vcxproj\
+./MSVC2012/Tests/array.vcxproj\
+./MSVC2012/Tests/array_f.vfproj\
+./MSVC2012/Tests/compression.vcxproj\
+./MSVC2012/Tests/csg.vcxproj\
+./MSVC2012/Tests/csgmesh_f.vfproj\
+./MSVC2012/Tests/curve_f.vfproj\
+./MSVC2012/Tests/dirtest.vcxproj\
+./MSVC2012/Tests/empty.vcxproj\
+./MSVC2012/Tests/extface.vcxproj\
+./MSVC2012/Tests/grab.vcxproj\
+./MSVC2012/Tests/group_test.vcxproj\
+./MSVC2012/Tests/largefile.vcxproj\

=== debian/changelog ===
silo-llnl (4.10.2.real-9) unstable; urgency=medium

  * Use fpzip on 64-bit archs only for now

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2021 16:49:03 +0000

silo-llnl (4.10.2.real-8) unstable; urgency=medium

  * Enable fpzip compression
  * Standards-Version: 4.5.1
  * Change branches to DEP-14. Point vcs-git to debian/latest branch
  * Add g/gbp.conf file
  * dh_python dep -> dh_sequence_python3
  * Drop --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Jan 2021 09:33:53 +0000

silo-llnl (4.10.2.real-7) unstable; urgency=medium

  * Fix for FTBFS with python3.8. Closes: #942679
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Oct 2019 15:23:27 +0100

silo-llnl (4.10.2.real-6) unstable; urgency=medium

  * Drop python2 for bullseye.
  * Drop obsolete references to qt3.
  * Standards-Version: 4.4.0
  * B-D on gfortran | fortran-compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:57:37 +0100

silo-llnl (4.10.2.real-5) unstable; urgency=medium

  * Export missing header files (silo_exports.h, etc)
  * Standards-Version: 4.2.1. No changes required
  * Drop hard-wired 'xz' compression for debian tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Oct 2018 16:43:56 +0100

silo-llnl (4.10.2.real-4) unstable; urgency=medium

  * Drop obsolete "X-Python-Versions > 2.6"
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:42:14 +0100

silo-llnl (4.10.2.real-3) unstable; urgency=medium

  * Mark python-silo as M-A: same
  * Standards-Version: 4.1.4
  * Rebuild against libopenmpi3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 09:04:05 +0100

silo-llnl (4.10.2.real-2) unstable; urgency=medium

  * Add build-dependency on dh-python

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Mar 2018 09:38:50 +0100

silo-llnl (4.10.2.real-1) unstable; urgency=medium

  * Rebuild out of correct upstream release, and bump epoch;
    (previous 4.10.2 was incorrectly merged). Closes: #890496
  * Delete merged /obsolete patches:
    - compile-fixes.patch 
    - dist-undo.patch 
    - sh4-build.patch 
    - testsuite-skip-szip.patch 
    - version-number.patch
  * Standards-Version: 4.1.3
  * Move VCS to salsa.debian.org/
  * Drop obsolete autoreconf from rules

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 11:24:50 +0000

silo-llnl (4.10.2-8) unstable; urgency=medium

  * B-D on libhdf5-mpi-dev, not -openmpi-dev.
  * Standards- Version: 4.1.2; no changes required
  * Build on serial HDF5

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 14:05:48 +0000

silo-llnl (4.10.2-7) unstable; urgency=medium

  * Use debhelper 10.
  * Remove obsolete qt-version.patch
  * Re-enable szip test, now libhdf5 built against libaec
  * Standards-Version: 4.1.1; no changes required
  * Drop dependencies on auto*. not needed with DH_COMPAT=10
  * Enable --with-szlib, add B-D on libaec-dev
  * Set python3-silo as M-A: same
  * Set CONFIG_SHELL=/bin/sh in rules for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 19:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,25 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, libhdf5-openmpi-dev | libhdf5-dev, 
+Build-Depends: debhelper-compat (= 13), 
+  dh-sequence-python3,
+  libreadline-dev, 
+  libhdf5-mpi-dev | libhdf5-dev, 
   zlib1g-dev, 
-  python-all-dev, python3-all-dev, 
-  gfortran, chrpath, mpi-default-dev, autoconf-archive, autoconf, automake, libtool, 
-  dh-autoreconf (>= 4~),
-  qtbase5-dev, qtchooser
-Build-Conflicts: qt3-dev-tools, qt4-dev-tools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+  libaec-dev,
+  libfpzip-dev [ !i386 !armel !armhf !mipsel  !hurd-i386 !hppa !powerpc !kfreebsd-i386 !x32],
+  python3-all-dev, 
+  gfortran | fortran-compiler, 
+  chrpath, 
+  mpi-default-dev, 
+  autoconf-archive, 
+  qtbase5-dev, 
+  qtchooser
+Build-Conflicts: qt4-dev-tools
+Standards-Version: 4.5.1
 Homepage:  https://wci.llnl.gov/simulation/computer-codes/silo/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/silo-llnl.git
+Vcs-Browser: https://salsa.debian.org:/science-team/silo-llnl.git
+Vcs-Git: https://salsa.debian.org:/science-team/silo-llnl.git -b  debian/latest
 
 Package: libsilo-dev
 Section: libdevel
@@ -86,29 +93,10 @@
  needs. Although the Silo library is a serial library, it has some key features
  which enable it to be applied quite effectively and scalable in parallel.
 
-Package: python-silo
-Section: python
-Architecture: any
-X-Python-Version: all
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
-Provides: ${python:Provides}
-Description: Python interface to the SILO Scientific I/O library
- This is a Python interface to SILO, a scientific I/O library.
- .
- Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
- and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
- constructive solid geometry (CSG) meshes, piecewise-constant
- (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
- defined on the node, edge, face or volume elements of meshes as well as
- the decomposition of meshes into arbitrary subset hierarchies including
- materials and mixing materials. In addition, Silo supports a wide variety of
- other useful objects to address various scientific computing application
- needs. Although the Silo library is a serial library, it has some key features
- which enable it to be applied quite effectively and scalable in parallel.
-
 Package: python3-silo
 Section: python
 Architecture: any
+Multi-Arch: same
 X-Python-Version: all
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
 Provides: ${python3:Provides}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ 

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(ARCH_DEFAULT_MPI_IMPL)
MPI_INC:=/usr/lib/$(MPI)/include

ifeq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_BITS), 64)
    FPZIP:= --enable-fpzip
else
    FPZIP:= --disable-fpzip
endif

ifeq ($(MPI),lam)
  CC:=mpicc.lam
  CXX:=mpic++.lam
else
  CXX:=mpic++
  CC:=mpicc
endif

export CONFIG_SHELL=/bin/sh

# QT version 4 or 5
export QT_SELECT=5

PY3VERS:= `py3versions -s`
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

export DEFAULT_SZIP=/usr

QT_INC:=/usr/include/$(DEB_HOST_MULTIARCH)/qt5
QT_BINDIR=/usr/bin
QT_INCLUDES:=-I$(QT_INC) -I$(QT_INC)/QtGui -I$(QT_INC)/QtCore -I$(QT_INC)/QtWidgets
QT_LIBS:=-lQt5Core -lQt5Gui -lQt5Widgets

# Work with either old or new-style (co-installable)  HDF5 layouts
ifneq ($(wildcard $(LIBDIR)/hdf5/$(MPI)/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/$(MPI)
HDF5_LIB:=$(LIBDIR)/hdf5/$(MPI)
else
ifneq ($(wildcard $(LIBDIR)/hdf5/serial/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/serial
HDF5_LIB:=$(LIBDIR)/hdf5/serial
else
HDF5_INC:=/usr/include
HDF5_LIB:=/usr/lib
endif
endif

# Note: Since QT headers now include C++ features, configure must be called with g++ as the C compiler.
# But use $(CC) as the C compiler later when actually building.

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-versioned-symbols \
		--enable-pythonmodule \
		--enable-silex \
		--with-szlib \
		--disable-hzip \
		$(FPZIP) \
		--with-hdf5=$(HDF5_INC),$(HDF5_DIR) \
		--enable-install-lite-headers \
		--with-Qt-bin-dir=$(QT_BINDIR) --with-Qt-include-dir=$(QT_INC) \
		CC=$(CXX) CXX=$(CXX) CFLAGS="$(CFLAGS) -fPIC " CXXFLAGS="$(CXXFLAGS) -fPIC " \
		LDFLAGS="$(LDFLAGS) -L$(HDF5_LIB) " \
		CPPFLAGS=" $(QT_INCLUDES) -I$(MPI_INC) $(CPPFLAGS)"

# Iterate over some directories to avoid stepping into tools/silex, which doesn't build.
override_dh_auto_build:
	for d in src tools/browser tools/silock ; do \
		$(MAKE) -C $$d CC=$(CC) CXX=$(CXX) ; done
	$(MAKE) -C tools/silex CXX=$(CXX) QT_MOC=moc QT_LIBS="$(QT_LIBS)" 
	set -e ; for p in $(PY3VERS) ; do   \
		echo "Build python interface for $$p" ; \
		$(MAKE) -C tools/python clean all check CXX=$(CXX) PYTHON_CPPFLAGS="-I/usr/include/$$p" ; \
		mkdir -p  debian/tmp/usr/lib/pyshared/$$p ;  \
		cp tools/python/.libs/Silo.so debian/Silo.so.$$p  ; \
	done

override_dh_auto_test:
	for d in tests src tools/browser tools/silock ; do \
                $(MAKE) -C $$d check; done

override_dh_auto_install:
	# move the python modules to where dh_python* will spot them ...
	set -e; for p in $(PY3VERS); do \
		mkdir -p debian/tmp/usr/lib/$$p/site-packages ; \
		chrpath -d debian/Silo.so.$$p ; \
		cp debian/Silo.so.$$p debian/tmp/usr/lib/$$p/site-packages/Silo.so ; \
	done
	for p in src tools/browser tools/silock  tools/silex ; do \
		$(MAKE) -C $$p install prefix=`pwd`/debian/tmp ; done
	dh_install
	find debian/tmp -name '*.la' -delete

override_dh_auto_clean:
	dh_clean
	rm -f debian/Silo.so.* config.log
	( [ -f Makefile ] && make distclean || echo "No Makefile present ; skipping make distclean" )
